com.amazonaws.codegen.model.config.customization

## Class AuthPolicyActions

- java.lang.Object
- - com.amazonaws.codegen.model.config.customization.AuthPolicyActions

    public class AuthPolicyActions
    extends Object

Customization configuration for policy actions enums file.

### Constructor Summary

Constructors
Constructor and Description
`AuthPolicyActions()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getActionPrefix()`
`String` `getFileNamePrefix()`
`boolean` `isSkip()`
`void` `setActionPrefix(String actionPrefix)`
`void` `setFileNamePrefix(String fileNamePrefix)`
`void` `setSkip(boolean skip)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthPolicyActions

    public AuthPolicyActions()

### Method Detail

#### isSkip

    public boolean isSkip()

#### setSkip

    public void setSkip(boolean skip)

#### getActionPrefix

    public String getActionPrefix()

#### setActionPrefix

    public void setActionPrefix(String actionPrefix)

#### getFileNamePrefix

    public String getFileNamePrefix()

#### setFileNamePrefix

    public void setFileNamePrefix(String fileNamePrefix)